/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/

.image-text {
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.image-text__img,
.image-text__text {
    position: relative;
    z-index: 1;
}

.image-text__img {
    height: 200px;
}

.image-text__img img {
    border-radius: 20px;
}

.double-glow {
    position: absolute;
    top: -110px;
    right: -77px;
    z-index: -1;
    width: 163px;
}

.blue-glow {
    position: absolute;
    width: 144px;
    bottom: -44px;
    left: -14px;
    z-index: -1;
}

.green-glow {
    position: absolute;
    width: 177px;
    top: -44px;
    left: -74px;
    z-index: -1;
}

.image-text__text {
    margin-top: 20px;
}

.image-text--left .green-glow {
    width: 152px;
    top: 21px;
    left: auto;
    right: -43px;
}

.image-text--left .double-glow {
    top: -140px;
    right: auto;
    left: -100px;
    width: 261px;
}

.image-text--left .blue-glow {
    width: 148px;
    left: auto;
    right: 34px;
}

@media (min-width: 768px) {
        
    .image-text__img {
        height: 400px;
    }


    .double-glow {
        top: -196px;
        right: -191px;
        width: 363px;
    }

    .blue-glow {
        width: 253px;
        bottom: -71px;
        left: -94px;
    }

    .green-glow {
        width: 303px;
        top: -52px;
        left: -150px;
    }

    .image-text__text {
        margin-top: 32px;
    }

    .image-text--left .green-glow {
        width: 303px;
        top: -34px;
        left: auto;
        right: -99px;
    }

    .image-text--left .double-glow {
        top: -154px;
        right: auto;
        left: -138px;
        width: 363px;
    }

    .image-text--left .blue-glow {
        width: 253px;
        left: auto;
        right: -52px;
        bottom: -83px;
    }
}

@media (min-width: 1200px) {
    .flex-opposite {
        flex-direction: row-reverse;
    }
        
    .image-text__img {
        height: 100%;
    }


    .double-glow {
        top: -120px;
        right: -205px;
    }

    .blue-glow {
        bottom: -103px;
    }

    .green-glow {
        top: auto;
        bottom: 17px;
        left: -176px;
    }

    .image-text__text {
        margin-top: 0;
    }

    .image-text--right .image-text__text {
        padding-right: 43px;
    }

    .image-text--left .image-text__text {
        padding-left: 43px;
    }

    .image-text--left .green-glow {
        width: 303px;
        top: auto;
        left: auto;
        right: -151px;
        bottom: 97px;
    }

    .image-text--left .double-glow {
        top: -120px;
        right: auto;
        left: -182px;
    }

    .image-text--left .blue-glow {
        left: auto;
        right: -93px;
        bottom: -23px;
    }
}